CFG80211_FIND_IE(9)

NAME
cfg80211_find_ie - find information element in data

SYNOPSIS

const u8 * cfg80211_find_ie(u8 eid, const u8 * ies, int len);

ARGUMENTS

eid
    element ID

ies
    data consisting of IEs

len
    length of data

RETURN

NULL if the element ID could not be found or if the element is invalid (claims to be longer than the given data), or a pointer to the first byte of the requested element, that is the byte containing the element ID.

NOTE

There are no checks on the element length other than having to fit into the given data.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT